AppenderAttachable Class Referenceabstract

This Interface is for attaching Appenders to objects. More...

Inherits Object.

Inherited by AsyncAppender`[virtual]`, AppenderAttachableImpl`[virtual]`, and Logger`[virtual]`.

## Public Member Functions

virtual void | addAppender (const AppenderPtr &newAppender)=0
| Add an appender. More...
virtual AppenderList | getAllAppenders () const =0
| Get all previously added appenders as an AppenderList. More...
virtual AppenderPtr | getAppender (const LogString &name) const =0
| Get an appender by name. More...
virtual bool | isAttached (const AppenderPtr &appender) const =0
| Returns `true` if the specified appender is in list of attached attached, `false` otherwise. More...
virtual void | removeAllAppenders ()=0
| Remove all previously added appenders. More...
virtual void | removeAppender (const AppenderPtr &appender)=0
| Remove the appender passed as parameter from the list of appenders. More...
virtual void | removeAppender (const LogString &name)=0
| Remove the appender with the name passed as parameter from the list of appenders. More...
virtual | ~AppenderAttachable ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

This Interface is for attaching Appenders to objects.

## Constructor & Destructor Documentation

virtual ~AppenderAttachable | ( |  | ) |

inline virtual

## Member Function Documentation

virtual void addAppender | ( | const AppenderPtr & | newAppender | ) |

pure virtual

Add an appender.

Implemented in Logger, AsyncAppender, and AppenderAttachableImpl.

virtual AppenderList getAllAppenders | ( |  | ) | const

pure virtual

Get all previously added appenders as an AppenderList.

Implemented in Logger, AsyncAppender, and AppenderAttachableImpl.

virtual AppenderPtr getAppender | ( | const LogString & | name | ) | const

pure virtual

Get an appender by name.

Implemented in Logger, AsyncAppender, and AppenderAttachableImpl.

virtual bool isAttached | ( | const AppenderPtr & | appender | ) | const

pure virtual

Returns `true` if the specified appender is in list of attached attached, `false` otherwise.

Implemented in Logger, AsyncAppender, and AppenderAttachableImpl.

virtual void removeAllAppenders | ( |  | ) |

pure virtual

Remove all previously added appenders.

Implemented in Logger, AsyncAppender, and AppenderAttachableImpl.

virtual void removeAppender | ( | const AppenderPtr & | appender | ) |

pure virtual

Remove the appender passed as parameter from the list of appenders.

Implemented in Logger, AsyncAppender, and AppenderAttachableImpl.

virtual void removeAppender | ( | const LogString & | name | ) |

pure virtual

Remove the appender with the name passed as parameter from the list of appenders.

Implemented in Logger, AsyncAppender, and AppenderAttachableImpl.

The documentation for this class was generated from the following file:

- appenderattachable.h